com.google.gwt.user.cellview.client

## Class DataGrid.TableWidget

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.cellview.client.DataGrid.TableWidget

All Implemented Interfaces:
  HasAttachHandlers, HasHandlers, EventListener, HasVisibility, IsWidget

Enclosing class:
  DataGrid<T>

    static class DataGrid.TableWidget
    extends Widget

A simple widget wrapper around a table element.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

`UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

### Field Summary

### Fields inherited from class com.google.gwt.user.client.ui.UIObject

`DEBUG_ID_PREFIX`

### Constructor Summary

Constructors
Constructor and Description
`TableWidget()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addColumnStyleName(int index, java.lang.String styleName)`
`TableColElement` `ensureTableColElement(int index)` Get the `TableColElement` at the specified index, creating it if necessary.
`(package private) void` `hideUnusedColumns(int start)` Hide columns that aren't used in the table.
`void` `removeColumnStyleName(int index, java.lang.String styleName)`
`(package private) void` `setColumnWidth(int column, java.lang.String width)`

### Methods inherited from class com.google.gwt.user.client.ui.Widget

`addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isAttached, isOrWasAttached, onAttach, onBrowserEvent, onDetach, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

### Methods inherited from class com.google.gwt.user.client.ui.UIObject

`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TableWidget

    public TableWidget()

### Method Detail

#### addColumnStyleName

    public void addColumnStyleName(int index,
                                   java.lang.String styleName)

#### ensureTableColElement

    public TableColElement ensureTableColElement(int index)

Get the `TableColElement` at the specified index, creating it if necessary.

Parameters:
  `index` - the column index
Returns:
  the `TableColElement`

#### removeColumnStyleName

    public void removeColumnStyleName(int index,
                                      java.lang.String styleName)

#### hideUnusedColumns

    void hideUnusedColumns(int start)

Hide columns that aren't used in the table.

Parameters:
  `start` - the first unused column index

#### setColumnWidth

    void setColumnWidth(int column,
                        java.lang.String width)